.code-details {
	display: flex;

	/* > * {
		background: rgba(0,0,0,.5);
	} */

	&__menu {
		width: 130px;
		font-weight: bold;
		position: relative;

		ul {
			padding: 0;
			margin: 0;
		}

		li a {
			color: #fff;
			line-height: 36px;
			display: block;
			height: 36px;
			padding: 0 16px;
			position: relative;
			transition: none;

			i {
				width: 15px;
				opacity: .6;
			}

			&:after {
				font-family: 'Font Awesome 5 Free';
				content: '\f105';
				position: absolute;
				top: 0;
				right: 16px;
				opacity: .6;
			}

			&:hover,
			&.is-active {
				background: var( --blue );

				i,
				&:after {
					opacity: 1;
				}
			}
		}

		& &__large {
			line-height: 1.3;
			height: 55px;
			padding: 5px 34px;

			i {
				position: absolute;
				left: 16px;
				top: 6px;
			}
			&:after {
				top: 5px;
			}

			.is-sm & {
				line-height: 36px;
				height: 36px;
				padding: 0 16px;

				i {
					position: static;
				}
			}
		}

		.is-sm & {
			width: 47px;

			.code-details__menu-item,
			li a:after {
				display: none;
			}
		}
	}

	&__close {
		width: 30px;
		height: 30px;
		z-index: 5;
		color: #fff;
		background: rgba(0,0,0,.5);
		text-align: center;
		line-height: 30px;
		margin-left: auto;
		display: block;
		background: var( --dark-1 );
		&.is-toggle i:before {
			content: '\f105';
		}
	}

	&__content {
		flex: 1;
		margin: 0 20px;

		&[data-tab="#tai-chinh"] {
			background: none;
		}
	}

	&__side {
		width: 30%;
		max-width: 300px;
		padding: 20px;
	}
	&__info {
		color: #fff;
		margin-bottom: 30px;
	}
	&__title {
		i {
			font-size: 22px;
			position: relative;
			top: -2px;
		}
	}
	&__code,
	&__price {
		font-size: 26px;
		font-weight: bold;
	}
	&__code {
		margin-right: 15px;
	}
	&__diff {
		font-size: 11px;
		display: inline-block;
		line-height: 1;
	}
	&__company {
		font-weight: bold;
		text-transform: uppercase;
		margin-bottom: 5px;
		padding-bottom: 5px;
		border-bottom: 1px solid var( --dark-3 );
		font-size: 11px;
	}
	&__prices {
		th, td {
			border: none;
			font-size: 11px;
			padding: 0;
		}
		th {
			background: none;
			text-align: left;
		}
		td {
			text-align: right;
			width: 30%;
		}
	}

	&__tables__nav {
		display: flex;
		justify-content: space-between;

		a {
			display: inline-block;
			color: #fff;
			font-weight: bold;
			line-height: 30px;
			height: 30px;
			padding: 0 5px;
			background: var( --dark-2 );
			border-radius: 2px 2px 0 0;
			flex: 1;
			text-align: center;

			&:first-child {
				margin-right: 10px;
			}

			&.is-active {
				background: var( --blue );
			}
		}
	}
	&__tables__tab {
		display: none;
		border-top: 2px solid var( --blue );

		&.is-active {
			display: block;
		}
	}

	&__tables__stats {
		display: flex;

		div {
			text-align: center;
			font-weight: bold;
			height: 24px;
			line-height: 24px;
		}
	}
	&__tables__total {
		font-weight: bold;
	}

	&__section {
		display: none;
		color: #fff;
		padding: 15px 0;

		&.is-active {
			display: block;
		}

		&--no-padding-top {
			padding-top: 0;
		}
	}
	&__row {
		display: flex;

		+ .code-details__row {
			margin-top: 20px;
		}
	}
	&__half {
		width: 50%;

		&:first-of-type {
			padding-right: 10px;
		}
		&:last-of-type {
			padding-left: 10px;
		}
	}
	&__chart {
		background: var( --dark-1 );
		padding: 20px;
		width: 100%;

		img {
			width: 100%;
		}
	}

	.ttc__code {
		font-size: 32px;
		font-weight: bold;
		line-height: 1;
	}
	.ttc__company {
		font-weight: bold;
		text-transform: uppercase;
		margin-bottom: 10px;
	}
	.ttc__brief {
		margin-bottom: 10px;
		font-weight: bold;

		table {
			width: auto;
		}

		td {
			border: none;
			padding: 0;
		}
	}
	.gd__tabs {
		text-transform: uppercase;
		font-weight: bold;
		text-align: center;
		margin-bottom: 20px;

		a {
			color: #fff;

			+ a {
				margin-left: 10px;
				border-left: 1px solid #fff;
				padding-left: 10px;
			}

			&.is-active {
				color: var( --green );
			}
		}
	}
	.gd__tab {
		display: none;

		&.is-active {
			display: block;
		}
	}
	.gd__history {
		margin-left: -20px;
		margin-right: -20px;
		width: auto;
		display: block;

		&__filter {
			text-align: right;
			margin-bottom: 5px;
			margin-right: 20px;

			input {
				background: none;
				border: 1px solid var(--dark-2);
				color: #fff;
				text-align: right;
				margin: 0 15px 0 5px;
				height: 24px;
				padding: 0 5px;
				width: 8em;
			}
			button {
				height: 24px;
				line-height: 24px;
				padding: 0 10px;
				border: none;
			}
		}
	}

	&__section{

		.sukien__tabs{
			text-transform: uppercase;
		    font-weight: bold;
		    text-align: center;
		    padding-bottom: 20px;

		    a {
				color: #fff;

				+ a {
					margin-left: 10px;
					border-left: 1px solid #fff;
					padding-left: 10px;
				}

				&.is-active {
					color: var( --green );
				}
			}
		}

		.sukien__header{
		    left: 150px;
		    right: 320px;
		    padding: 20px;
		    margin-top: -15px;
		    z-index: 2;
		    border-radius: 0 0 2px 2px;
		}

		.sukien__tab{
			margin-left: -20px;
		    margin-right: -20px;

			table td {
			    white-space: normal;
		    	border-color: var(--dark-2);
			}
		}

		table td {
		    padding: 5px;
		}

		table th{
			padding: 5px;
		}

		.sukien__tab {
			display: none;

			&.is-active {
				display: block;
			}
		}
	}

	.dg__options{
		select {
		    border: 0.5px solid #dedede45;
		    font-weight: bold;
		    line-height: 30px;
		    height: 40px;
		    padding: 0 15px;
		    background: #2e3440;
		    border-radius: 2px;
		    text-align: center;
		    color: #fff;
		    width: auto;
		    margin-left: -20px;
		}

	}

	.dg__option {
		margin-left: -20px;
		margin-right: -20px;
	    
		p {
		    color: #fff;
		    text-align: right;
		    margin-bottom: 5px;
		}

		table {
		    margin-bottom: 30px;
		}

		.btn-PE button{
			text-align: center;
			padding: 0px 25px;
			height: 40px;
		}

		button {
		    background-color: #0065b7;
		    margin: 0 auto;
		    border-radius: 5px;
		    padding: 10px 30px;
		}

		button:hover{
			opacity: 0.75;
		}

		.du-phong-loi-nhuan{
			table{
				border: none;

				td{
					padding: 10px;
					border: none;
				}
			}
		}

		input {
		    width: 100%;
		    outline: none;
		    color: var(--green);
		    background-color: #2e3440;
		    border: 0.5px solid #3b4252;
		    padding: 5px;
		    height: 40px;
		    border-radius: 5px;
		}

		table td {
		    padding:5px 5px;
		}

		.du-phong-loi-nhuan{
			text-alin: center;
		}

		select.option-table{
		    color: #ffffff;
		    background-color: #2e3440;
		    outline: none;
		    border: 1px solid #3b4252;
		    border-radius: 5px;
		    width: 100%;

		    option{
		    	font-size: 14px;
		    }
		}
	}

	.second-option{
		margin-right: -20px;
    	margin-left: -20px;	
    	margin-top: 20px;

    	td{
    		height: 50px;
    	}
	}

	.dg__option{
		display: none;

		&.is-active {
			display: block;
		}

		table td{
			white-space: normal;
		}
	}

	.so-sanh{
		.head-so-sanh {
		    margin-bottom: 30px;

		    input {
			    height: 30px;
			    background-color: #1a1b25;
			    padding: 0px 10px;
			    width: 50%;
			    border: 1px solid #999fab;
			    border-radius: 5px;
			}

			button {
			    background: #0065b7;
			    border-radius: 5px;
			    padding-right: 20px;
			    padding-left: 20px;
			    height: 30px;
			}

			button:hover{
				opacity: 0.75;
			}
		}

		tr.h-table-so-sanh {
		    background-color: #2e3440;
		    height: 30px;
		    color: yellow;
		    font-weight: 900;
		}
		
		.txt-bold{
			 font-weight: 900;
		}

		.goi-y{
			position: relative;

			button.btn-plush {
			    background-color: #0065b7;
			    border-radius: 3px;
			    position: absolute;
			    right: 5px;
			    top: 3px;
			    padding: 5px 8px;
			}

			button.btn-plush:hover{
				opacity: 0.75;
			}
		}

		th.ten-ma-nganh {
		    position: relative;
		    background-color: #0d0d12b5;

		    button {
			    position: absolute;
			    right: 0px;
			    top: 0px;
			    background-color: #7b3131;
			    padding: 3px 5px;
			}

			button:hover{
				background-color: var(--red);
			}
		}

		table{
		    margin-bottom: 30px;
		}
	}

	.tc__header {
		display: flex;
		justify-content: space-between;
		align-items: center;
		position: fixed;
		left: 150px;
		right: 320px;
		padding: 20px;
		background: var(--dark-1);
		z-index: 2;
		border-top: 1px solid var(--blue);
		border-radius: 0 0 2px 2px;
	}

	&.is-sm .tc__header {
		left: 67px;
	}

	.tc__dropdown {
		> span {
			display: inline-block;
			color: #fff;
			font-weight: bold;
			line-height: 30px;
			height: 30px;
			padding: 0 15px;
			background: var(--blue);
			border-radius: 2px;
			text-align: center;
		}
		.dropdown-menu {
			width: 240px;
			z-index: 1;
		}
		&__icon {
			display: inline-block;
			width: 15px;
			height: 15px;
			border-radius: 99px;
			background: rgba(0,0,0,.2);
			text-align: center;
			line-height: 15px;
			margin-left: 5px;
		}
	}
	.tc__period {
		font-weight: bold;

		a {
			color: var(--dark-3);

			+ a {
				margin-left: 30px;
			}

			&.is-active {
				color: var(--green);
			}
		}
		i {
			margin-right: 5px;
		}
	}
	.tc__section {
		// margin-left: -20px;
		// margin-right: -20px;
		padding: 20px;
		background: var(--dark-1);
		border-radius: 2px;

		+ .tc__section {
			margin-top: 20px;
		}

		&--first {
			margin-top: 90px;
		}

		.fa-caret-up {
			color: var(--green);
		}
		.fa-caret-down {
			color: var(--red);
		}
		th {
			padding: 5px;
			border-color: var(--dark-2);
		}
		td {
			padding: 5px;
			line-height: 1.3;
			//overflow: auto;
			white-space: normal;
			border-color: var(--dark-2);
		}
		.cell-highlight {
			background: none;
		}
	}
	.tc__heading {
		font-size: 13px;
		text-transform: uppercase;
		margin-top: 0;
	}
	.tc__period-data {
		display: none;

		&.is-active {
			display: block;
		}
	}
	table.tc__period-data.is-active {
		display: table;
	}
	.tc__row {
		display: flex;
	}
	.tc__left {
		width: 45%;
	}
	.tc__right {
		flex: 1;
		padding-left: 20px;
	}
	.tc__small {
		font-size: 10px;
	}
	.tc__half {
		width: 50%;

		&:first-of-type {
			padding-right: 10px;
		}
		&:last-of-type {
			padding-left: 10px;
		}
	}
	.tc__col-noi-dung {
		width: 40%;
	}

	@media (max-width: 1279px) {
		&__side {
			max-width: 240px;
			padding: 10px;
		}
		&__content {
			margin: 0 10px;
		}
		&__section {
			padding: 15px 10px;
		}
		.gd__history {
			margin-left: -10px;
			margin-right: -10px;
		}
		.tc__header {
			left: 140px;
			right: 250px;
			padding: 10px;
			border-top: 1px solid var(--blue);
		}
		&.is-sm .tc__header {
			left: 57px;
		}
		.tc__section--first {
			margin-top: 51px;
		}
		.tc__section {
			margin-left: -10px;
			margin-right: -10px;
			padding: 10px;
		}
		.ttc__code,
		.ttc__company {
			padding-left: 10px;
		}
		.ttc__brief .code-details__half:first-child td {
			padding-left: 10px;
		}
	}
}